package projectzombie.init;

import gl_engine.texture.TextureAtlas3D;
import gl_engine.texture.TextureRef3D;
import projectzombie.resources.Resource;

public class Resources
{
	public static void loadResources()
	{
		ATLAS = TextureAtlas3D.loadAll("/resources/texture/list.txt");
		ATLAS.generate();
		
		TEX_EMPTY = ATLAS.get("");
		
		GUN_OGG_0.load();
		GUN_OGG_1.load();
		GUN_OGG_2.load();
		GUN_OGG_3.load();
		GUN_OGG_4.load();
		GUN_OGG_5.load();
		GUN_OGG_6.load();
		GUN_OGG_7.load();
		GUN_OGG_8.load();
		GUN_OGG_9.load();
		
		HIT_OGG_0.load();
		HIT_OGG_1.load();
		HIT_OGG_2.load();
		
		WALK_STONE_0.load();
		WALK_STONE_1.load();
		WALK_STONE_2.load();
		WALK_STONE_3.load();
		
		EXPLOSION_OGG.load();
		FUSE_OGG.load();
	}
	
	public static TextureAtlas3D ATLAS;
	public static TextureRef3D TEX_EMPTY;
	
	public static final Resource GUN_OGG_0 = new Resource("/sound/gun0.ogg");
	public static final Resource GUN_OGG_1 = new Resource("/sound/gun1.ogg");
	public static final Resource GUN_OGG_2 = new Resource("/sound/gun2.ogg");
	public static final Resource GUN_OGG_3 = new Resource("/sound/gun3.ogg");
	public static final Resource GUN_OGG_4 = new Resource("/sound/gun4.ogg");
	public static final Resource GUN_OGG_5 = new Resource("/sound/gun5.ogg");
	public static final Resource GUN_OGG_6 = new Resource("/sound/gun6.ogg");
	public static final Resource GUN_OGG_7 = new Resource("/sound/gun7.ogg");
	public static final Resource GUN_OGG_8 = new Resource("/sound/gun8.ogg");
	public static final Resource GUN_OGG_9 = new Resource("/sound/gun9.ogg");
	
	public static final Resource HIT_OGG_0 = new Resource("/sound/hit0.ogg");
	public static final Resource HIT_OGG_1 = new Resource("/sound/hit1.ogg");
	public static final Resource HIT_OGG_2 = new Resource("/sound/hit2.ogg");
	
	public static final Resource WALK_STONE_0 = new Resource("/sound/walk_stone_0.ogg");
	public static final Resource WALK_STONE_1 = new Resource("/sound/walk_stone_1.ogg");
	public static final Resource WALK_STONE_2 = new Resource("/sound/walk_stone_2.ogg");
	public static final Resource WALK_STONE_3 = new Resource("/sound/walk_stone_3.ogg");
	
	public static final Resource EXPLOSION_OGG = new Resource("/sound/explosion.ogg");
	public static final Resource FUSE_OGG = new Resource("/sound/fuse.ogg");
}
